Summary:	An antivirus toolkit for Unix
Name:		clamav
Version:	0.91.2
Release:	1tr
License:	GPL
Group:		Trustix Official
URL:		http://www.clamav.net/
Source0:	http://download.sf.net/clamav/%{name}-%{version}.tar.gz
Source1:	clamd.sh
Source3:	freshclam.sh
Source5:	freshclam.sysconfig
Source6:	clamd.logrotate
Source7:	freshclam.logrotate
Source8:	clamav-freshclam.conf
Source10:	clamd.conf
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  sed, zlib-devel
PreReq:		chkconfig

%define user_name  amavis
%define user_id    257
%define group_name amavis
%define group_id   257



%description
Clam AntiVirus is a GPL anti-virus toolkit for UNIX. The main purpose of this
software is the integration with mail servers (attachment scanning).
The package provides a flexible and scalable multi-threaded daemon,
a command line scanner, and a tool for automatic updating via Internet.
The programs are based on a shared library distributed with package,
which you can use with your own software.
Most importantly, the virus database is kept up to date .


%package 	devel
Summary:	Clamav - Development header files and libraries
Group: Trustix Official
Requires:	%{name} = %{version}-%{release}

%description 	devel
This package contains the development header files and libraries
necessary to develope your own clamav based applications.


%prep
%setup -q


%build
# build might need the user/group
if [ -z "`getent group %{group_name}`" ] ; then
    /usr/sbin/groupadd -g %{group_id} %{group_name}
fi
if [ -z "`getent passwd %{user_name}`" ] ; then
    /usr/sbin/useradd -M -d /no/dir -g %{group_name} -s /bin/false \
                      -u %{user_id} %{user_name}
fi

%configure \
	--enable-debug \
	--program-prefix=%{?_program_prefix} \
	--enable-id-check \
	--disable-clamav \
	--with-user=%{user_name} \
	--with-group=%{group_name} \
	--with-dbdir=%{_localstatedir}/lib/clamav
make


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_initdir}/
install -d $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/
install -d $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/
install -d $RPM_BUILD_ROOT%{_localstatedir}/lib/clamav/
install -d $RPM_BUILD_ROOT%{_localstatedir}/log/clamav/
install -d $RPM_BUILD_ROOT%{_localstatedir}/run/clamav/

make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_mandir}/man8/clamav-milter.8*
install %{SOURCE1} $RPM_BUILD_ROOT%{_initdir}/clamd
install %{SOURCE3} $RPM_BUILD_ROOT%{_initdir}/freshclam
install %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/freshclam

# Make sure we create with the correct user/group
sed -e 's/OWNER/%{user_name}/g' -e 's/GROUP/%{group_name}/g' %{SOURCE6} >\
    $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/clamd
sed -e 's/OWNER/%{user_name}/g' -e 's/GROUP/%{group_name}/g' %{SOURCE7} >\
    $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/freshclam

install %{SOURCE8} $RPM_BUILD_ROOT%{_sysconfdir}/freshclam.conf
install %{SOURCE10} $RPM_BUILD_ROOT%{_sysconfdir}/clamd.conf

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%pre
if [ -z "`getent group %{group_name}`" ] ; then
    /usr/sbin/groupadd -g %{group_id} %{group_name}
fi
if [ -z "`getent passwd %{user_name}`" ] ; then
    /usr/sbin/useradd -M -d /no/dir -g %{group_name} -s /bin/false \
                      -u %{user_id} %{user_name}
fi

%post
/sbin/chkconfig --add clamd
/sbin/chkconfig --add freshclam
if [ "$1" = 2 ]; then
        perl -pi -lne 's/^\#DisableDefaultScanOptions$//' /etc/clamd.conf
        perl -pi -lne 's/^(#?[A-Z][^ ]+)$/\1 yes/' /etc/clamd.conf /etc/freshclam.conf
	/sbin/restart_maybe clamd > /dev/null 2>&1
	/sbin/restart_maybe freshclam > /dev/null 2>&1
fi

%preun
if [ $1 = 0 ]; then
	service clamd stop > /dev/null 2>&1
	service freshclam stop > /dev/null 2>&1
	/sbin/chkconfig --del clamd
	/sbin/chkconfig --del freshclam
fi


%files
%defattr(0644,root,root,0755)
%doc AUTHORS BUGS COPYING ChangeLog FAQ INSTALL NEWS README
%doc docs/*.pdf docs/html/
%attr(0640,root,%{group_name}) %config(noreplace) %{_sysconfdir}/clamd.conf
%attr(0640,root,%{group_name}) %config(noreplace) %{_sysconfdir}/freshclam.conf
%attr(0640,root,%{group_name}) %config(noreplace) %{_sysconfdir}/sysconfig/freshclam
%attr(0755,root,root) %{_initdir}/clamd
%attr(0755,root,root) %{_initdir}/freshclam
%attr(0755,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/clamd
%attr(0755,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/freshclam
%attr(0755,root,root) %{_bindir}/*
%attr(0755,root,root) %{_sbindir}/clamd
%attr(0755,root,root) %{_libdir}/*.so.*
%attr(0755,%{user_name},%{group_name}) %dir %{_localstatedir}/lib/clamav/
%attr(0644,%{user_name},%{group_name}) %config(noreplace) %verify(user group mode) %{_localstatedir}/lib/clamav/main.cvd
%attr(0644,%{user_name},%{group_name}) %config(noreplace) %verify(user group mode) %{_localstatedir}/lib/clamav/daily.cvd
%attr(0755,%{user_name},%{group_name}) %{_localstatedir}/log/clamav/
%attr(0755,%{user_name},%{group_name}) %{_localstatedir}/run/clamav/
%{_mandir}/*/*

%files devel
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_libdir}/*.a
%attr(0755,root,root) %{_libdir}/*.la
%attr(0755,root,root) %{_libdir}/*.so
%attr(0644,root,root) %{_includedir}/*.h
%attr(0644,root,root) %{_libdir}/pkgconfig/*


%changelog
* Tue Aug 21 2007 Nived Gopalan <nived at trustix dot org> 0.91.2-1tr
- New Upstream.

* Tue Aug 14 2007 Nived Gopalan <nived at trustix dot org> 0.91.1-1tr
- New Upstream.

* Fri Jul 13 2007 Nived Gopalan <nived at trustix dot org> 0.91-1tr
- New Upstream.
- SECURITY Fix: Metaeye SG has reported a vulnerability in ClamAV,
  caused due to a NULL-pointer dereference error within
  libclamav/unrar/unrarvm.c when handling RAR archives. This can
  be exploited to cause a crash via a specially crafted RAR
  archive (SA26038).

* Mon Jun 04 2007 Nived Gopalan <nived at trustix dot org> 0.90.3-1tr
- New Upstream.
- SECURITY Fix: Victor Stinner has reported a vulnerability in ClamAV,
  caused due to an error within the OLE2 parser when handling objects
  with malformed FAT partitions and large property sizes. This can be
  exploited to cause a DoS due to storage and CPU resource consumption
  by scanning a specially crafted OLE2 file. 

  The Common Vulnerabilities and Exposures project has assigned the
  name CVE-2007-2650 to this issue.

* Mon Apr 16 2007 Bipin S <bipin at trustix dot org> 0.90.2-1tr
- New upstream.
- SECURITY Fix: A file descriptor leak error in  the
  "chm_decompress_stream()" [libclamav/chmunpack.c] function,
  which could be exploited by attackers to crash an affected system
  via a specially crafted CHM file.
                                                                                                                             
  A buffer overflow error in the "cab_unstore()" [libclamav/cab.c]
  function when processing a negative value read from a CAB file,
  which could be exploited by attackers to crash an affected
  application or compromise a vulnerable system via a specially
  crafted CAB file.
                                                                                                                             
  The Common Vulnerabilities and Exposures project has assigned the
  names CVE-2007-1745 and CVE-2007-1997 to these issues.

* Mon Mar 05 2007 Bipin S <bipin at trustix dot org> 0.90.1-1tr
- New upstream.

* Mon Feb 19 2007 Bipin S <bipin at trustix dot org> 0.90-1tr
- New upstream.
- SECURITY Fix: Input validation error when parsing multipart messages
  with a header containing a specially crafted "id" parameter, which
  could be exploited by malware to overwrite certain files (e.g. the
  virus database) via a directory traversal attack and bypass security
  checks.
- Vulnerability due to a file descriptor leak when processing CAB
  files with a record length of zero, which could be exploited by
  attackers or malware to prevent a vulnerable application from scanning
  certain archives (e.g. ZIP or TAR) via a specially crafted cabinet file.
                                                                                                                             
  The Common Vulnerabilities and Exposures project has assigned the
  names CVE-2007-0897 and CVE-2007-0898 to these issues.

* Wed Dec 13 2006 Bipin S <bipin at trustix dot org> 0.88.7-1tr
- New Upstream.
- SECURITY Fix: Hendrik Weimer has reported a vulnerability in ClamAV,
  which can be exploited by malicious people to cause a DoS (Denial of
  Service). The vulnerability is caused due to a stack overflow when
  scanning messages with deeply nested multipart content. This can be
  exploited to crash the service by sending specially crafted emails to a
  vulnerable system.
                                                                                                                             
  The Common Vulnerabilities and Exposures project has assigned the
  name CVE-2006-6481 to this issue.

* Tue Nov 07 2006 Bipin S <bipin at trustix dot org> 0.88.6-1tr
- New Upstream.

* Mon Oct 16 2006 Nived Gopalan <nived at trustix dot org> 0.88.5-1tr
- New Upstream.
- SECURITY Fix: Two vulnerabilities have been reported in Clam AntiVirus,
  which can be exploited by malicious people to cause a DoS (SA22370).
- Fixes an unspecified error in the CHM unpacker in chmunpack.c which
  can be exploited to cause a DoS.
- Fixes an unspecified error in rebuildpe.c when rebuilding PE files
  after unpacking which can be exploited to cause a heap-based buffer
  overflow.

* Tue Aug 08 2006 Bipin S <bipin at trustix dot org> 0.88.4-1tr
- New Upstream.
- SECURITY Fix: Damian Put has discovered a vulnerability in ClamAV,
  which is caused due to an boundary error in the "pefromupx()"
  function in libclamav/upx.c when unpacking PE executable files
  compressed with UPX. This can be exploited to cause a heap-based
  buffer overflow via a specially crafted UPX compressed file.

  The Common Vulnerabilities and Exposures project has assigned the
  name CVE-2006-4018 this issue.

* Tue Jul 04 2006 Bipin S <bipin at trustix dot org> 0.88.3-1tr
- New Upstream.
- Fixes handling of large binhex files and multiple alternatives
  in virus signatures.

* Tue May 02 2006 Nived Gopalan <nived at trustix dot org> 0.88.2-1tr
- New Upstream.
- SECURITY Fix: A vulnerability has been reported in ClamAV caused due to
  a boundary error within the HTTP client in the Freshclam command line
  utility. This can be exploited to cause a stack-based buffer overflow 
  when the HTTP headers received from a web server exceeds 8KB.
 
  The Common Vulnerabilities and Exposures project has assigned the
  name CVE-2006-1989 this issue.

* Wed Apr 05 2006 Bipin S <bipin at trustix dot org> 0.88.1-1tr
- New Upstream
- Minor bugfixes done.

* Thu Jan 12 2006 Nived Gopalan <nived at trustix dot org> 0.88-1tr
- New Upstream.
- Fixes possible heap overflow in libclamav/upx.c.

* Mon Nov 14 2005 Nived Gopalan <nived at trustix dot org> 0.87.1-2tr
- Moved libclamav.pc to devel, Bug #1379.

* Mon Nov 07 2005 Bipin S <bipin at comodo dot com> 0.87.1-1tr
- New upstream and Multiple Security Fixes.
- Fixes buffer overflow error in "fsg.c" when unpacking malformed FSG files.
- Fixes infinite loop vulnerability in "tnef.c" when processing malformed TNEF files.
- Fixes OLE2 unpacker potential denial of service vulnerability (CVE-2005-3239).
- Fixes cabinet-file handling denial of service vulnerability (CVE-2005-3501).
                                                                                                                             
  The Common Vulnerabilities and Exposures project has assigned the names
  CVE-2005-3239 and CVE-2005-3501.

* Mon Sep 19 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 0.87-1tr
- New Upstream
- Fixes vulnerabilities in handling of UPX and FSG compressed executables

* Mon Jul 25 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 0.86.2-1tr
- New Upstream
- Fixes for three possible integer overflows in libclamav, improved scanning of 
  Cabinet and FSG compressed files, better database handling in clamav-milter. 

* Mon Jun 27 2005 Hasher Jamaludeen <hasher at comodo dot com> 0.86.1-2tr
- Fixed freshclam.sh which prevents starting of freshclam when $LOGFILE 
  is empty. With reference to Bug #976.

* Fri Jun 24 2005 Bipin S <bipin at comodo dot com> 0.86.1-1tr
- New upstream
- A possible crash in the libmspack's Quantum decompressor has been fixed. Bug #969

* Tue Jun 21 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 0.86-1tr
- New Upstream
- Possible descriptor leaks in archive unpackers and mishandling of fast track 
  uuencoded files have been fixed in libclamav.
- Database reloading in clamav-milter has been improved.
- Fix potential directory traversal in cvd unpacker (a low risk problem since 
  all databases are digitally signed).

* Wed May 18 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 0.85.1-1tr
- New Upstream
- A problem where an email with more than one content-disposition type line,
  one or more of which was empty, could crash libclamav has been fixed. Other
  minor bugfixes have been made.

* Sat Apr 30 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 0.84-1tr
- New Upstream, improves detection of JPEG (MS04-028) based exploits, introduces
  support for TNEF files and new detection mechanisms. Various bugfixes
  (including problems with scanning of digest mail files) and improvements
  have been made.

* Wed Apr 20 2005 Thushara Gopalakrishnan <thushara at comodo dot com>  0.83-4tr
- Changed init priority

* Tue Mar 15 2005 Hasher Jamaludeen <hasher at comodo dot com> 0.83-2tr
- Rebuilt

* Fri Feb 18 2005 Raghu <raghu at comodo dot com> 0.83-2tr
- New Upstream

* Mon Oct 11 2004 Erlend Midttun <erlendbm at trustix dot org> 0.75-2tr
- Now PreReq chkconfig.

* Mon Oct 04 2004 Syed Shabir <syedshabir at comodo dot com> 0.75-1tr
- New Upstream.

* Mon May  3 2004 Erlend Midttun <erlendbm at trustix dot org> 0.70-1em
- New upstream.

* Mon Mar  8 2004 Chr. Toldnes <christht at trustix dot org>
- Rebuilt for TSL 2.1

* Mon Mar  1 2004 Erlend Midttun <erlendbm at trustix dot org> 0.66-5em
- Fixed user/group in logrotate.

* Fri Feb 27 2004 Goetz Bock <bg at trustix dot org> 066-4bg
- fixed user/group setup
- added some build requirements

* Sun Feb 15 2004 Erlend Midttun <erlendbm at trustix dot org> 0.66-3em
- Now create log files in logrotate.
- Added "notifempyty" as well.
- Added %{_libdir}/*.so to -devel.

* Fri Feb 13 2004 Gerald Dachs <gda at trustix dot org> 0.66-2gd
- added DatabaseMirror for freshclam in clamav.conf

* Fri Feb 13 2004 Gerald Dachs <gda at trustix dot org> 0.66-1gd
- New upstream

* Mon Feb  9 2004 Erlend Midttun <erlendbm at trustix dot org>
- Added strlen patch to prevent DoS.
- Also fixed uid of logrotate.d/*.

* Fri Jan 30 2004 Erlend Midttun <erlendbm at trustix dot org>
- Take II, now with better adding of users and a better config file.

* Fri Jan 30 2004 Erlend Midttun <erlendbm at trustix dot org>
- Adapted to Trustix Contrib.

* Sun Dec 7 2003 Petr Kritof <Petr@Kristof.CZ>
- Fix Epoch dependencies by Eduardo Kaftanski <eduardo@linuxcenter.cl>

* Sun Nov 23 2003 Petr Kritof <Petr@Kristof.CZ>
- Update .spec file
- Fix RH-7.3 program-prefix by Kenneth Porter <shiva@sewingwitch.com>
- Rebuild on FC1

* Sun Nov 16 2003 Petr Kritof <Petr@Kristof.CZ>
- Fix doc errors
- Fix dependencies
- Patch for RH-7.3 by Lionel Bouton <Lionel.Bouton@inet6.fr>
- Patch for RH-7.3 by Chris de Vidal <chris@devidal.tv>
- Option --without-milter by Jn Ondrej (SAL) <ondrejj@salstar.sk>

* Wed Nov 12 2003 Petr Kritof <Petr@Kristof.CZ>
- Removed package db
- Added LogWatch support
- Added FreshClam support
- Moved logfiles to own subdirectory
- Update to 0.65

* Wed Sep 10 2003 Petr Kritof <Petr@Kristof.CZ>
- Option for build without clamavdb

* Thu Jul 10 2003 Petr Kritof <Petr@Kristof.CZ>
- Split package to clamav, db, milter, devel

* Sun Jun 22 2003 Petr Kritof <Petr@Kristof.CZ>
- Update to 0.60

* Tue Jun 10 2003 Petr Kritof <Petr@Kristof.CZ>
- Fixed post, preun, postun scripts
- Update to 2003xxxx snapshots

* Tue Feb 4 2003 Petr Kritof <Petr@Kristof.CZ>
- Rebuild on RH-8.0

* Sun Dec 1 2002 Petr Kritof <Petr@Kristof.CZ>
- Based on PLD package
- Initial RH-7.3 build

